###########################################################

Time-of-Flight (ToF) Linux Reference Driver README.md

###########################################################

1. Description

    Contains the release files for adding tmf882x support to the linux kernel

    /arch/arm/boot/dts
        Contains the device tree overlay for the TMF882X proto-
        typed on the Raspberry Pi zero. The rpi.env script is a convenience
        script for setting up build environment variables to point to a remote
        linux kernel source tree. This prototyped version uses GPIO_20 for INT
        and GPIO_16 for the "Chip-Enable" line

        -tof8820-overlay.dts
            -normal configuration, CE gpio and INT gpio
            -change the "poll_period" attribute to use polling instead of interrupts


2. Compiling

    Driver - Compiling

       1. Download Linux Kernel source:

       2. Compile Linux Kernel

       3. Compile ToF Device Tree

       4. Compile ToF driver:
            - 'make CONFIG_SENSORS_TMF882X=m'

       5. Compile ToF driver for Qualcomm linux kernel:
            - 'make CONFIG_SENSORS_TMF882X=m CONFIG_TMF882X_QCOM_AP=y'

3. Documentation

    TMF882X Driver UAPI Guide can be generated with the 'pandoc' and 'LaTeX' packages by running:
    `
    pandoc TMF882X_Driver_UAPI_Guide.md -o TMF882X_Driver_UAPI_Guide.pdf
    `

    TMF882X Driver doxygen documentation can be generated by running
    ('DOT' package is required for call-graphs):
    `
    doxygen
    `

